=== debian/control ===
Source: ros-indigo-multisense-lib
Section: misc
Priority: extra
Maintainer: Carnegie Robotics <support@carnegierobotics.com>
Build-Depends: debhelper (>= 9.0.0), libpng12-dev, ros-indigo-catkin, ros-indigo-cv-bridge
Homepage: https://bitbucket.org/crl/multisense_ros
Standards-Version: 3.9.2

Package: ros-indigo-multisense-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpng12-dev, ros-indigo-cv-bridge
Description: multisense_lib
